Package org.opensaml.xmlsec.signature.impl

# Class SPKISexpImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.core.xml.schema.impl.XSBase64BinaryImpl
org.opensaml.xmlsec.signature.impl.SPKISexpImpl

All Implemented Interfaces:
  `XSBase64Binary`, `XMLObject`, `SPKISexp`

public class SPKISexpImpl extends XSBase64BinaryImpl implements SPKISexp
Concrete implementation of `SPKISexp`.

## Field Summary

### Fields inherited from interface org.opensaml.xmlsec.signature.SPKISexp

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME`

### Fields inherited from interface org.opensaml.core.xml.schema.XSBase64Binary

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SPKISexpImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

### Methods inherited from class org.opensaml.core.xml.schema.impl.XSBase64BinaryImpl

`getOrderedChildren, getValue, setValue`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSBase64Binary

`getValue, setValue`

## Constructor Details

### SPKISexpImpl

protected SPKISexpImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace